Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class TagPoolManagerImpl

    java.lang.Object
      org.apache.jasper.runtime.TagPoolManagerImpl

All Implemented Interfaces:
  TagPoolManager

public class TagPoolManagerImpl
extends java.lang.Object
implements TagPoolManager

This class provides a basic implementation for TagPoolManager. It simply manages a collection of named pools, including their retrieval and cleanup.

Author:
  Casey Lucas
See Also:
  `TagPoolManagerInterceptor`

Field Summary
`static java.lang.String` | `LOG_NAME` This constant is the log named that can be used in configuration files to enable logging.

Fields inherited from interface org.apache.jasper.runtime.TagPoolManager
`CONTEXT_ATTRIBUTE_NAME`

Constructor Summary
`TagPoolManagerImpl()` This constructor just sets up logging.

Method Summary
`TagHandlerPool` | `getPool(java.lang.String poolName, java.lang.Class handlerClass)` Obtain a pool by the given name that provides handlers for the given class.
`void` | `shutdown()` This method is called when the tag pools should be shutdown.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_NAME

    public static final java.lang.String LOG_NAME

  This constant is the log named that can be used in configuration files to enable logging.

  See Also:
    Constant Field Values

Constructor Detail

### TagPoolManagerImpl

    public TagPoolManagerImpl()

  This constructor just sets up logging.

Method Detail

### getPool

    public TagHandlerPool getPool(java.lang.String poolName,
                                  java.lang.Class handlerClass)

  Obtain a pool by the given name that provides handlers for the given class. If no pool is available for the given name then allocate a new one and return it.

  Specified by:
    `getPool` in interface `TagPoolManager`
  Parameters:
    `poolName` - name of the requested pool
    `handlerClass` - class of the tag handlers
  Returns:
    named pool

### shutdown

    public void shutdown()

  This method is called when the tag pools should be shutdown. It calls shutdown for each of the tag pools.

  Specified by:
    `shutdown` in interface `TagPoolManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.